=== debian/changelog ===
ttdnsd (0.7) unstable; urgency=low

  * new upstream release

 -- Jacob Appelbaum <jacob@torproject.org>  Wed, 07 Jul 2010 00:41:22 -0700

ttdnsd (0.6) unstable; urgency=low

  * fix debian package dependencies
  * add unbound configuration file

 -- Jacob Appelbaum <jacob@torproject.org>  Fri, 02 Jul 2010 22:48:32 -0700

ttdnsd (0.5) unstable; urgency=low

  * Actual release to debian.torproject.org

 -- Jacob Appelbaum <jacob@torproject.org>  Fri, 02 Jul 2010 15:08:51 -0700

ttdnsd (0.4) unstable; urgency=low

  * Initial Release.

 -- Jacob Appelbaum <jacob@torproject.org>  Wed, 09 Jun 2010 00:41:55 +0200
