=== debian/control ===
Source: ttdnsd
Section: comm
Priority: extra
Maintainer: Jacob Appelbaum <jacob@torproject.org>
Build-Depends: debhelper (>= 5), tsocks
Standards-Version: 3.8.4.0
Homepage: https://www.torproject.org/ttdnsd/

Package: ttdnsd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tor, tsocks, lsb-base (>= 3.0-6)
Description: Tor TCP DNS Daemon
 ttdnsd is a small UDP to TCP DNS shim for use with the Tor SOCKS proxy
 interface. It should also work with other SOCKS proxies.
 .
 ttdnsd requires  a  single  recursive  DNS  listener  on the open
 internet to be useful. It provides no DNS caching support and may be
 chained with unbound or another DNS caching program for performance
 reasons. By default ttdnsd ships with 8.8.8.8 as the open TCP DNS
 resolver.
 .
 ttdnsd creates a TCP connection through the configured
 SOCKS proxy to the randomly chosen DNS resolver(s) as
 configured in /etc/ttdns.conf  ;  the  connection  is
 held  open for a reasonable amount of time and
 subsequently closed when it is no longer in use. This
 allows users to make arbitrary DNS queries to will exit
 from the Tor network to the configured resolver(s).
 .
